using SteamWare;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace NKC_WF.App_Start
{
    public class NKC_Startup
    {
        public static void Init()
        {
            logger.lg.scriviLog("Start NKC_Startup.init()", tipoLog.STARTUP);
            try
            {
                // inizializzo appConf prima di tutto il resto...
                memLayer.ML.resetAppConf();
                logger.lg.scriviLog("Completed preliminary setup AppConf execution", tipoLog.STARTUP);
            }
            catch (Exception exc)
            {
                logger.lg.scriviLog($"Exception during preliminary INIT app phase{Environment.NewLine}{exc}", tipoLog.EXCEPTION);
            }
        }
    }
}